%define origname GeoIP-Python

Name: python-module-GeoIP
Version: 1.2.0
Release: alt3

Summary: Python bindings for the GeoIP IP-to-country resolver library
Group: Development/Python
License: GPL
Url: http://www.maxmind.com/app/python

Packager: Dmitry Vukolov <dav@altlinux.ru>

%setup_python_module GeoIP

Source: http://www.maxmind.com/download/geoip/api/python/%origname-%version.tar.bz2

Patch: %origname-1.2.0-alt-includes.patch

%define libgeoip_ver 1.2.0

Requires: libGeoIP >= %libgeoip_ver

Provides: GeoIP-Python = %version
Obsoletes: GeoIP-Python

BuildPreReq: libGeoIP-devel >= %libgeoip_ver

# Automatically added by buildreq on Mon Jul 19 2004
BuildRequires: libGeoIP-devel python-base python-dev python-modules-encodings

%description
GeoIP is a library that enables the user to find the country that any IP
address or hostname originates from, using a database instead of DNS.

This package contains the python bindings for GeoIP, allowing to use this
library within a python program.

%prep
%setup -q -n %origname-%version
%patch -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
%__python setup.py build

%install
%__python setup.py install --root=%buildroot --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc ChangeLog LICENSE README test*

%changelog
* Fri Mar 25 2005 Dmitry Vukolov <dav@altlinux.ru> 1.2.0-alt3
- rebuilt with python 2.4

* Mon Jul 19 2004 Dmitry Vukolov <dav@altlinux.ru> 1.2.0-alt2
- renamed package from GeoIP-Python to python-module-GeoIP
- repackaged according to the new python policy

* Sat May 01 2004 Dmitry Vukolov <dav@altlinux.ru> 1.2.0-alt1
- first build for ALT Linux Sisyphus

